Debian Bug report logs - #676686
libxslt1.1: libxslt1.1 binNMU broke multi-arch installability

version graph

Package: libxslt1.1; Maintainer for libxslt1.1 is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for libxslt1.1 is src:libxslt.

Reported by: Ralf Jung <post@ralfj.de>

Date: Fri, 8 Jun 2012 20:09:01 UTC

Severity: serious

Found in version libxslt/1.1.26-12

Done: Aron Xu <happyaron.xu@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, post@ralfj.de, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Fri, 08 Jun 2012 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
New Bug report received and forwarded. Copy sent to post@ralfj.de, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Fri, 08 Jun 2012 20:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 09 Jun 2012 00:07:02 +0200
Package: libxslt1.1
Version: 1.1.26-12+b1
Severity: important

Dear Maintainer,

libxslt1.1 can no longer be installed in several architectures at once. Installation shows the following error:

dpkg: error processing /var/cache/apt/archives/libxslt1.1_1.1.26-12+b1_i386.deb (--unpack):
 trying to overwrite shared '/usr/share/doc/libxslt1.1/changelog.Debian.gz', which is different from other instances of package libxslt1.1:i386

Kind regards,
Ralf


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libxslt1.1 depends on:
ii  libc6              2.13-33
ii  libgcrypt11        1.5.0-3
ii  libxml2            2.8.0+dfsg1-3
ii  multiarch-support  2.13-33

libxslt1.1 recommends no packages.

libxslt1.1 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Fri, 08 Jun 2012 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Fri, 08 Jun 2012 20:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 676686@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Ralf Jung <post@ralfj.de>, 676686@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 9 Jun 2012 04:24:49 +0800
severity 676686 serious
thanks

On Sat, Jun 9, 2012 at 6:07 AM, Ralf Jung <post@ralfj.de> wrote:
> Package: libxslt1.1
> Version: 1.1.26-12+b1
> Severity: important
>
> Dear Maintainer,
>
> libxslt1.1 can no longer be installed in several architectures at once. Installation shows the following error:
>
> dpkg: error processing /var/cache/apt/archives/libxslt1.1_1.1.26-12+b1_i386.deb (--unpack):
>  trying to overwrite shared '/usr/share/doc/libxslt1.1/changelog.Debian.gz', which is different from other instances of package libxslt1.1:i386

True, but seems to be a problem for other paties involved to M-A, for
example the buildd binNMU and dpkg handling. I'll clone this bug for
them.

For libxslt, I'll make an upload soon when I come back - roughly after
12th, to try to fix libxslt-dev's M-A situation and solve this one
together, but I'm afraid you need to wait till then.

I'm raising the severity to RC to prevent it migrate to testing until
getting dealt with.


-- 
Regards,
Aron Xu




Severity set to 'serious' from 'important' Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Fri, 08 Jun 2012 20:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Fri, 08 Jun 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Fri, 08 Jun 2012 20:39:06 GMT) Full text and rfc822 format available.

Message #17 received at 676686@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: debian-release@lists.debian.org, 676686@bugs.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 9 Jun 2012 04:36:40 +0800
Hi list,

It seems M-A:same packages are not binNMU safe, even when requested on
all archs because every arch uses its own copy of debian/changelog
item.

Does this mean M-A:same packages should be prevented from being
binNMUed, but only source upload can be accepted?

On Sat, Jun 9, 2012 at 4:24 AM, Aron Xu <happyaron.xu@gmail.com> wrote:
> severity 676686 serious
> thanks
>
> On Sat, Jun 9, 2012 at 6:07 AM, Ralf Jung <post@ralfj.de> wrote:
>> Package: libxslt1.1
>> Version: 1.1.26-12+b1
>> Severity: important
>>
>> Dear Maintainer,
>>
>> libxslt1.1 can no longer be installed in several architectures at once. Installation shows the following error:
>>
>> dpkg: error processing /var/cache/apt/archives/libxslt1.1_1.1.26-12+b1_i386.deb (--unpack):
>>  trying to overwrite shared '/usr/share/doc/libxslt1.1/changelog.Debian.gz', which is different from other instances of package libxslt1.1:i386
>
> True, but seems to be a problem for other paties involved to M-A, for
> example the buildd binNMU and dpkg handling. I'll clone this bug for
> them.
>
> For libxslt, I'll make an upload soon when I come back - roughly after
> 12th, to try to fix libxslt-dev's M-A situation and solve this one
> together, but I'm afraid you need to wait till then.
>
> I'm raising the severity to RC to prevent it migrate to testing until
> getting dealt with.
>




-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Fri, 08 Jun 2012 22:21:02 GMT) Full text and rfc822 format available.

Message #20 received at 676686@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 9 Jun 2012 00:17:52 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jun 09, 2012 at 04:36:40AM +0800, Aron Xu wrote:
> Does this mean M-A:same packages should be prevented from being
> binNMUed, but only source upload can be accepted?

You cannot deprive the Release Team of this tool. Also multiarch bugs are IMHO
at most important, not serious. Possibly we could allow one last sourceful
upload when the transitions all settled, but it would again increase the review
load on the release team.

IMHO it's on the "if it works, fine, if not, sorry about that" part of the
list, given that it was finalized so late, with that critical piece missing.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Fri, 08 Jun 2012 23:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Fri, 08 Jun 2012 23:15:08 GMT) Full text and rfc822 format available.

Message #25 received at 676686@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Philipp Kern <pkern@debian.org>
Cc: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 9 Jun 2012 07:12:23 +0800
On Sat, Jun 9, 2012 at 6:17 AM, Philipp Kern <pkern@debian.org> wrote:
> On Sat, Jun 09, 2012 at 04:36:40AM +0800, Aron Xu wrote:
>> Does this mean M-A:same packages should be prevented from being
>> binNMUed, but only source upload can be accepted?
>
> You cannot deprive the Release Team of this tool. Also multiarch bugs are IMHO
> at most important, not serious. Possibly we could allow one last sourceful
> upload when the transitions all settled, but it would again increase the review
> load on the release team.
>

OK, I get your point, and I never meant not to binNMU is a reasonable idea.

The reason for RC severity is just to prevent the version from
migrating to testing before I've sorted out the M-A mess as much as
possible on my side - for example #671902. Also, there is no important
user-sensible changes (package maintainers and users) in this version,
but mostly improvements to maintainability.

> IMHO it's on the "if it works, fine, if not, sorry about that" part of the
> list, given that it was finalized so late, with that critical piece missing.
>

Sure, I'll get the final version into archive before freeze,
regardless whether there are remaining odd bits of M-A as long as they
aren't affecting normal users.


-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Sat, 09 Jun 2012 00:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sat, 09 Jun 2012 00:33:08 GMT) Full text and rfc822 format available.

Message #30 received at 676686@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: Aron Xu <happyaron.xu@gmail.com>, debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Fri, 8 Jun 2012 21:30:40 -0300
On Sat, 09 Jun 2012, Philipp Kern wrote:
> On Sat, Jun 09, 2012 at 04:36:40AM +0800, Aron Xu wrote:
> > Does this mean M-A:same packages should be prevented from being
> > binNMUed, but only source upload can be accepted?
> 
> You cannot deprive the Release Team of this tool. Also multiarch bugs are IMHO

Indeed, we cannot.  But there has never been a need to, anyway.

We'd just have to teach the tool to binNMU all arches when the target
package would need it due to multiarch.  Release team requests a binNMU of a
package for some arch, the tool notices it has to do them all because of
multi-arch constraints, and replicates the request for all other arches.

This is even listed in Ubuntu's MultiarchSpec wiki package...

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Sat, 09 Jun 2012 01:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sat, 09 Jun 2012 01:27:09 GMT) Full text and rfc822 format available.

Message #35 received at 676686@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: Philipp Kern <pkern@debian.org>, debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 9 Jun 2012 09:09:50 +0800
On Sat, Jun 9, 2012 at 8:30 AM, Henrique de Moraes Holschuh
<hmh@debian.org> wrote:
> On Sat, 09 Jun 2012, Philipp Kern wrote:
>> On Sat, Jun 09, 2012 at 04:36:40AM +0800, Aron Xu wrote:
>> > Does this mean M-A:same packages should be prevented from being
>> > binNMUed, but only source upload can be accepted?
>>
>> You cannot deprive the Release Team of this tool. Also multiarch bugs are IMHO
>
> Indeed, we cannot.  But there has never been a need to, anyway.
>
> We'd just have to teach the tool to binNMU all arches when the target
> package would need it due to multiarch.  Release team requests a binNMU of a
> package for some arch, the tool notices it has to do them all because of
> multi-arch constraints, and replicates the request for all other arches.
>
> This is even listed in Ubuntu's MultiarchSpec wiki package...
>
>

Yes, but things are a little bit different here. I did request binNMUs
of all archs, but unfortunately buildds of every architecture
generates a unique changelog entry saying the NMU is done by "${arch}
architecture buildd admin", and you already know what would happen, :)

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Sat, 09 Jun 2012 08:18:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Jung <post@ralfj.de>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sat, 09 Jun 2012 08:18:22 GMT) Full text and rfc822 format available.

Message #40 received at 676686@bugs.debian.org (full text, mbox):

From: Ralf Jung <post@ralfj.de>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 676686@bugs.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 9 Jun 2012 10:17:19 +0200
Hi,

> True, but seems to be a problem for other paties involved to M-A, for
> example the buildd binNMU and dpkg handling. I'll clone this bug for
> them.
Yeah, binNMU and MA don't seem to combine well so far.

> For libxslt, I'll make an upload soon when I come back - roughly after
> 12th, to try to fix libxslt-dev's M-A situation and solve this one
> together, but I'm afraid you need to wait till then.
It's okay, I used "dpkg --force-overwrite" to be able to still install my 
foreign.architecture wine package - it's just a machine for testing weird 
stuff anyway.

Kind regards,
Ralf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Sat, 09 Jun 2012 13:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sat, 09 Jun 2012 13:27:11 GMT) Full text and rfc822 format available.

Message #45 received at 676686@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: Philipp Kern <pkern@debian.org>, Aron Xu <happyaron.xu@gmail.com>, debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sat, 9 Jun 2012 15:26:06 +0200
* Henrique de Moraes Holschuh (hmh@debian.org) [120609 02:31]:
> We'd just have to teach the tool to binNMU all arches when the target
> package would need it due to multiarch.  Release team requests a binNMU of a
> package for some arch, the tool notices it has to do them all because of
> multi-arch constraints, and replicates the request for all other arches.

Just that this won't do it, because the changelogs for the different
arches will be binary different, so no win.

However, we discussed that during the multi-arch bof last Debconf, and
came to the conclusion that it would be better to not modify the
changelog as we do now, but instead create a new file
changelog.$arch.$version with the binNMU. This is a bit more
complicated because it can't be done as of now just within the source
package.

Anyone implementing this is warmly welcome.



Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Sun, 10 Jun 2012 08:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sun, 10 Jun 2012 08:06:05 GMT) Full text and rfc822 format available.

Message #50 received at 676686@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Andreas Barth <aba@ayous.org>, Henrique de Moraes Holschuh <hmh@debian.org>, Philipp Kern <pkern@debian.org>, Aron Xu <happyaron.xu@gmail.com>, debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sun, 10 Jun 2012 10:01:29 +0200
On Sat, 2012-06-09 at 15:26:06 +0200, Andreas Barth wrote:
> * Henrique de Moraes Holschuh (hmh@debian.org) [120609 02:31]:
> > We'd just have to teach the tool to binNMU all arches when the target
> > package would need it due to multiarch.  Release team requests a binNMU of a
> > package for some arch, the tool notices it has to do them all because of
> > multi-arch constraints, and replicates the request for all other arches.
> 
> Just that this won't do it, because the changelogs for the different
> arches will be binary different, so no win.
> 
> However, we discussed that during the multi-arch bof last Debconf, and
> came to the conclusion that it would be better to not modify the
> changelog as we do now, but instead create a new file
> changelog.$arch.$version with the binNMU. This is a bit more
> complicated because it can't be done as of now just within the source
> package.

As I mentioned in the long ref-counting thread, I strongly disagree this
is a correct solution, it just seems like a hack to me. Instead I
think we should consider changelog (and copyright as long as it's in
machine parseable format) as dpkg metadata (something dpkg misses
compared to rpm or other package managers for example) and as such they
should go into the .deb control member, which would end up in the dpkg
database w/o any kind of file conflict, and very minor packaging effort
as for most that would be handled by helpers.

This has (at least) the following advantages:

 * no need to concat different files to get the complete changelog.
 * the version in the changelog would match the package binary version.
 * the changelog file would *always* get to be referred by the same
   name regardless of the package being native, binNMUed or otherwise.
 * changelog extractors (like apt-listchanges) would not need (eventually)
   to extract the whole .deb data member to get the changelog, it
   would just need to extract the control member, and get a fixed
   filename. They would stop needing to hardcode possible paths to
   the files too. This still leaves the NEWS.Debian file but then
   maybe that should also be considered metadata...
 * dpkg can gain new commands to return/show these files reliably w/o
   needing (eventually) to hardcode the distribution's specific path
   (which is a matter of fileystem policy dpkg does not really need
   or has to know).
 * dpkg eventually could do a way better job at reducing duplicated
   data, by for example transparently hardlinking them, instead of our
   ad-hoc doc dir symlinking.
 * dpkg could reduce space usage by transparently compressing them
   with something better than gzip.
 * (minor) it's a common pattern to want to exclude all of
   /usr/share/doc/pkg but the copyright file, storing it elsewhere
   would avoid that.

To that end, last month I cooked a preliminary patch for dpkg to add two
new commands: --show-changelog and --show-copyright, that take a package
name and print to stdout (through a pager if on a terminal) either of
those files, and fallback to a configurable set of paths on the
filesystem if the requested file is not in the database (decompressing
them if need be).

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Sun, 10 Jun 2012 12:14:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@ayous.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sun, 10 Jun 2012 12:15:11 GMT) Full text and rfc822 format available.

Message #55 received at 676686@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@ayous.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>, Philipp Kern <pkern@debian.org>, Aron Xu <happyaron.xu@gmail.com>, debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Sun, 10 Jun 2012 13:52:24 +0200
* Guillem Jover (guillem@debian.org) [120610 10:08]:
> As I mentioned in the long ref-counting thread, I strongly disagree this
> is a correct solution, it just seems like a hack to me. Instead I
> think we should consider changelog (and copyright as long as it's in
> machine parseable format) as dpkg metadata (something dpkg misses
> compared to rpm or other package managers for example) and as such they
> should go into the .deb control member, which would end up in the dpkg
> database w/o any kind of file conflict, and very minor packaging effort
> as for most that would be handled by helpers.

I'm fully happy to see that solved in whatever way. However, getting
it sorted out for binNMUs seems like some kind of priority to me.

Perhaps we could add the binNMU entry for the moment and fix the rest
later? Or whatever would make you more happy. Just I'd like to be able
to schedule binNMUs again on ma-packages.


Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Mon, 11 Jun 2012 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Mon, 11 Jun 2012 10:42:08 GMT) Full text and rfc822 format available.

Message #60 received at 676686@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Guillem Jover <guillem@debian.org>
Cc: Andreas Barth <aba@ayous.org>, Henrique de Moraes Holschuh <hmh@debian.org>, Philipp Kern <pkern@debian.org>, Aron Xu <happyaron.xu@gmail.com>, debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Mon, 11 Jun 2012 11:39:24 +0100
Guillem Jover writes ("Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU	broke multi-arch installability"):
> As I mentioned in the long ref-counting thread, I strongly disagree this
> is a correct solution, it just seems like a hack to me. Instead I
> think we should consider changelog (and copyright as long as it's in
> machine parseable format) as dpkg metadata (something dpkg misses
> compared to rpm or other package managers for example) and as such they
> should go into the .deb control member, which would end up in the dpkg
> database w/o any kind of file conflict, and very minor packaging effort
> as for most that would be handled by helpers.

I think this is the wrong design.  The changelog is primarily used by
humans, not software, and burying it in the dpkg database is not
helpful.  I think the solution with the binNMU changelogs is
straightforward and should be implemented.

>  * changelog extractors (like apt-listchanges) would not need (eventually)
>    to extract the whole .deb data member to get the changelog, it
>    would just need to extract the control member, and get a fixed
>    filename. They would stop needing to hardcode possible paths to
>    the files too. This still leaves the NEWS.Debian file but then
>    maybe that should also be considered metadata...

This path leads, eventually, to all structured data currently stored
in the filesystem being subsumed by dpkg.  This is not healthy for
dpkg and not healthy for the rest of the project.

Ian.




Severity set to 'important' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 10:45:12 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Mon, 11 Jun 2012 14:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Tue, 12 Jun 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Tue, 12 Jun 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #69 received at 676686@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: Andreas Barth <aba@ayous.org>, Henrique de Moraes Holschuh <hmh@debian.org>, Philipp Kern <pkern@debian.org>, Aron Xu <happyaron.xu@gmail.com>, debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Tue, 12 Jun 2012 08:59:43 +0200
On Mon, 2012-06-11 at 11:39:24 +0100, Ian Jackson wrote:
> Guillem Jover writes ("Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU	broke multi-arch installability"):
> > As I mentioned in the long ref-counting thread, I strongly disagree this
> > is a correct solution, it just seems like a hack to me. Instead I
> > think we should consider changelog (and copyright as long as it's in
> > machine parseable format) as dpkg metadata (something dpkg misses
> > compared to rpm or other package managers for example) and as such they
> > should go into the .deb control member, which would end up in the dpkg
> > database w/o any kind of file conflict, and very minor packaging effort
> > as for most that would be handled by helpers.
> 
> I think this is the wrong design.  The changelog is primarily used by
> humans, not software, and burying it in the dpkg database is not
> helpful.  I think the solution with the binNMU changelogs is
> straightforward and should be implemented.

Well, the dpkg suite makes extensive use of the changelog to retrieve
all kinds of information, dpkg (the program) does not currently access
it though, but that data is still package metadata. The same could be
said about some fields in the control file and it still makes sense to
have them there, because again it's package metadata. There's also other
precedent of package metadata not handled directly by dpkg (currently
or in the past) which gets installed in the info database, like
templates, config, md5sums and clilibs, for some I'm aware of.

I disagree placing it in the dpkg database is not helpful, for a user
or other programs wanting to access that structured package metadata
it's obviously easier and better to do something like
«dpkg --show-changelog foo» or «dpkg-query --control-path foo changelog»,
than having to go hunt where in the filesystem the changelog might be
located, regardless of distribution path polcies. The same for the
copyright information, and I've actually been asked in the past why dpkg
does not have a command to show package copyright information. I've
listed the other reasons (which you trimmed) in the parent mail.

And if by “the binNMU changelogs”, you mean the split changelog solution,
I still disagree that's the correct avenue. It means the information
of why the package was rebuilt either ends up in yet another different
place on the filesystem, or lost if the helper does not get updated to
cope with that or if the package does not use any helper, which is
still a non-insignificant amount of the archive. It might also break
with packages poking at the debian/changelog file directly as Jonathan
mentioned, or external software accessing the source tree, because
debian/changelog is an interface, and while it might seem like a
straightforward solution it looks like it will cause more problems
than the ones it solves, and it still seems like a workaround.

> >  * changelog extractors (like apt-listchanges) would not need (eventually)
> >    to extract the whole .deb data member to get the changelog, it
> >    would just need to extract the control member, and get a fixed
> >    filename. They would stop needing to hardcode possible paths to
> >    the files too. This still leaves the NEWS.Debian file but then
> >    maybe that should also be considered metadata...
> 
> This path leads, eventually, to all structured data currently stored
> in the filesystem being subsumed by dpkg.  This is not healthy for
> dpkg and not healthy for the rest of the project.

Eh, only structured data that is packaging metadata. TBH, I don't see
other clear candidates besides changelog and copyright (maybe even
NEWS.Debian, but this one might be a stretch), and those two are
clearly package metadata.

So, I'm still unconvinced by the arguments you brought up.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 02:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 02:18:06 GMT) Full text and rfc822 format available.

Message #74 received at 676686@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: debian-release@lists.debian.org, 676686@bugs.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 10:13:53 +0800
Hi,

The problem here is that `xml2-config --libs`'s output isn't identical across
different architectures, especially differ from Linux to other
platforms. On Linux, normally only "-lxml2" will be the output, but
"-L{libdir} -lxml2" on others. I'm thinking about fixing libxml2 now,
and will upload a proper fix very soon.


-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 16:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 16:27:10 GMT) Full text and rfc822 format available.

Message #79 received at 676686@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 12:25:42 -0400
On Fri, Jun 8, 2012 at 6:17 PM, Philipp Kern wrote:
> On Sat, Jun 09, 2012 at 04:36:40AM +0800, Aron Xu wrote:
>> Does this mean M-A:same packages should be prevented from being
>> binNMUed, but only source upload can be accepted?
>
> You cannot deprive the Release Team of this tool. Also multiarch bugs are IMHO
> at most important, not serious. Possibly we could allow one last sourceful
> upload when the transitions all settled, but it would again increase the review
> load on the release team.
>
> IMHO it's on the "if it works, fine, if not, sorry about that" part of the
> list, given that it was finalized so late, with that critical piece missing.

Wouldn't the ideal solution be non-architecture-specific changelogs?
So, a normal binnmu changelog looks like this now:

package (version) sid; urgency=low

  * Binary-only non-maintainer upload for amd64; no source changes.

 -- amd64 Builddd Daemon (barber)
<buildd_amd64-barber@buildd.debian.org>  Tue, 05 Jun 2012 16:33:05
+0000

which could be changed to something like this instead:

package (version) sid; urgency=low

  * Binary-only non-maintainer upload; no source changes.

 -- Debian Release Team <debian-release@lists.debian.org>  Tue, 05 Jun
2012 16:33:05 +0000

or some other appropriate binnmu mailing address.  This would also
mean rebuilding all of the other architectures for multi-arch same
packages so that they all get the same changelog.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 16:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 16:45:17 GMT) Full text and rfc822 format available.

Message #84 received at 676686@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 18:40:37 +0200
[Message part 1 (text/plain, inline)]
Michael Gilbert <mgilbert@debian.org> (14/06/2012):
> package (version) sid; urgency=low
> 
>   * Binary-only non-maintainer upload; no source changes.
> 
>  -- Debian Release Team <debian-release@lists.debian.org>  Tue, 05 Jun
> 2012 16:33:05 +0000
> 
> or some other appropriate binnmu mailing address.  This would also
> mean rebuilding all of the other architectures for multi-arch same
> packages so that they all get the same changelog.

No, binNMUs numbers can be different, along with timestamps (even with:
“wb nmu foo . ALL . -m 'Rebuild for foo.'”, architectures are processed
one after each other). Also, reasons can be different.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 16:54:03 GMT) Full text and rfc822 format available.

Message #89 received at 676686@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 12:51:27 -0400
On Thu, Jun 14, 2012 at 12:40 PM, Cyril Brulebois wrote:
> Michael Gilbert <mgilbert@debian.org> (14/06/2012):
>> package (version) sid; urgency=low
>>
>>   * Binary-only non-maintainer upload; no source changes.
>>
>>  -- Debian Release Team <debian-release@lists.debian.org>  Tue, 05 Jun
>> 2012 16:33:05 +0000
>>
>> or some other appropriate binnmu mailing address.  This would also
>> mean rebuilding all of the other architectures for multi-arch same
>> packages so that they all get the same changelog.
>
> No, binNMUs numbers can be different, along with timestamps (even with:
> “wb nmu foo . ALL . -m 'Rebuild for foo.'”, architectures are processed
> one after each other). Also, reasons can be different.

Right, I imagine it will involving reworking of quite a few steps in
the process, and again this would be only for 'multi-arch: same'.  So,
instead of the buildd (or wherever that is done now) creating the
changelog/timestamp, instead create one 'multi-arch: same' changelog
before passing it off to the buildds, and then after the build is
done, replace the automatically architecture-specific changelog with
the 'multi-arch: same' one.  The reason for rebuilding a 'multi-arch:
same' package by definition should be for the same reason on all
architectures, right?

Non 'multi-arch: same' binnmus would not need to change.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 17:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 17:09:10 GMT) Full text and rfc822 format available.

Message #94 received at 676686@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 19:07:04 +0200
On Thu, Jun 14, 2012 at 12:25:42 -0400, Michael Gilbert wrote:

> Wouldn't the ideal solution be non-architecture-specific changelogs?

No, that would be very much non-ideal.  One should be able to schedule
binNMUs for a subset of archs, and one shouldn't have to look up whether
a package builds m-a:same binaries.  This has been said a few times
already, please drop this thread if you're just going to repeat old
shot-down ideas.

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #99 received at 676686@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 13:59:25 -0400
On Thu, Jun 14, 2012 at 1:07 PM, Julien Cristau <jcristau@debian.org> wrote:
> On Thu, Jun 14, 2012 at 12:25:42 -0400, Michael Gilbert wrote:
>
>> Wouldn't the ideal solution be non-architecture-specific changelogs?
>
> No, that would be very much non-ideal.  One should be able to schedule
> binNMUs for a subset of archs,

I did not suggest that.  Anyway, maybe this will be a bit clearer.
Let's say an existing package is at version +b1 on amd64, and it needs
to get a binnmu, then a +b2 package is built on amd64, its changelog
is taken and stuffed it into all of the other 'Multi-Arch: same' +b1
packages, which are now called +b2, and all of them uploaded.  Those
other architectures didn't undergo a rebuild, but nevertheless, they
got new packages.

Then lets say a +b3 is needed on i386, then the same is done, and the
'Multi-arch: same' amd64 package (and others) get stuffed with the
i386 +b3 changes (which includes the prior amd64 +b2 changelog).

> and one shouldn't have to look up whether
> a package builds m-a:same binaries.

This is a new special case that will need to be handled somehow,
right?  Look-ups are not that expensive; although admittedly the time
spent writing the infrastructure supporting may not be.

Best wishes,
Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 18:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 18:18:06 GMT) Full text and rfc822 format available.

Message #104 received at 676686@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 676686@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: tag as pending
Date: Fri, 15 Jun 2012 02:13:41 +0800
tag 676686 + pending
thanks

I've uploaded the fix for libxml2 just now, will upload libxslt very soon.

-- 
Regards,
Aron Xu




Added tag(s) pending. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Thu, 14 Jun 2012 18:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 19:45:08 GMT) Full text and rfc822 format available.

Message #109 received at 676686@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 21:43:30 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jun 14, 2012 at 01:59:25PM -0400, Michael Gilbert wrote:
> I did not suggest that.  Anyway, maybe this will be a bit clearer.
> Let's say an existing package is at version +b1 on amd64, and it needs
> to get a binnmu, then a +b2 package is built on amd64, its changelog
> is taken and stuffed it into all of the other 'Multi-Arch: same' +b1
> packages, which are now called +b2, and all of them uploaded.

For various reasons you cannot do that without a rebuild. (Hint: Files must not
change, new versions have their versions in various fields.)

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#676686; Package libxslt1.1. (Thu, 14 Jun 2012 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Thu, 14 Jun 2012 21:33:04 GMT) Full text and rfc822 format available.

Message #114 received at 676686@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: debian-release@lists.debian.org, 676686@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Thu, 14 Jun 2012 17:30:52 -0400
On Thu, Jun 14, 2012 at 3:43 PM, Philipp Kern wrote:
> On Thu, Jun 14, 2012 at 01:59:25PM -0400, Michael Gilbert wrote:
>> I did not suggest that.  Anyway, maybe this will be a bit clearer.
>> Let's say an existing package is at version +b1 on amd64, and it needs
>> to get a binnmu, then a +b2 package is built on amd64, its changelog
>> is taken and stuffed it into all of the other 'Multi-Arch: same' +b1
>> packages, which are now called +b2, and all of them uploaded.
>
> For various reasons you cannot do that without a rebuild. (Hint: Files must not
> change, new versions have their versions in various fields.)

Right, there is that additional complexity, but even so I think it
could be made to work.

dpkg-gencontrol could be used to update the Version and any
${binary:Version} fields in the control file.  Also, the package's
md5sums could be regenerated to include the hash for the new
changelog.

Best wishes,
Mike




Reply sent to Aron Xu <happyaron.xu@gmail.com>:
You have taken responsibility. (Fri, 15 Jun 2012 15:00:16 GMT) Full text and rfc822 format available.

Notification sent to Ralf Jung <post@ralfj.de>:
Bug acknowledged by developer. (Fri, 15 Jun 2012 15:00:16 GMT) Full text and rfc822 format available.

Message #119 received at 676686-done@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 676686-done@bugs.debian.org
Subject: Re: Bug #676686 libxslt1.1: libxslt1.1 binNMU broke multi-arch installability
Date: Fri, 15 Jun 2012 22:57:35 +0800
Hi,

The bug is fixed by patching libxml2-dev's xml2-config, and a
sourceful upload for rebuilding libxslt has been done. It will work
except for being binNMUed to have broken changelogs.


-- 
Regards,
Aron Xu




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jul 2012 07:32:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:48:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.